// file: $USFS/class/image_analysis/v1.0/imaga_disp_0.cc
//

// isip include files
//
#include "image_analysis.h"
#include "image_analysis_constants.h"

// method: display_model_cc
//
// arguments:
//  FILE* fp: (input) a open file pointer
//
// return: a logical_1 value indicating the status
//
logical_1 Image_analysis::display_model_cc(FILE* fp_a) {
  
  // check the algorithm
  //
  if ((algorithm_d == IMAGA_ALG_HISTOGRAM)) {
    if (hist_display_cc(fp_a) == ISIP_FALSE) {
      error_handler_cc((char_1*)"display_model_cc",
		       (char_1*)"error displaying the reference model");
      return ISIP_FALSE;
    }
  }

  // exit gracefully
  //
  return ISIP_TRUE;
}
